<?php session_start();

	require '../script_php/conexao.php';
	include_once("../script_php/conexaoSQL.php");
	include_once("calculoDias.php");
	require_once 'Sqlserver.php';
	require_once 'exportar.php';
	require_once 'apagar_arquivos.php';
	
    $user = $_SESSION['usuario'];
	$datainicio = filter_var($_POST['inicio'], FILTER_SANITIZE_STRING);
	$datafinal = filter_var( $_POST['final'], FILTER_SANITIZE_STRING);
	$mostrarestoque = filter_var( $_POST['mostrarestoque'], FILTER_SANITIZE_STRING);
	
	$serie = $_POST['serie'];
	$loja = filter_var($_POST['loja'], FILTER_SANITIZE_STRING);

	$fabricante = $_POST['fabricante'];

	$baixarDownload = $loja;
	$baixarDownload2 = 'TODAS'; // forçar baixar mesmo se for escolhida uma loja
	$acrescentar = filter_var($_POST['acrescentar'], FILTER_SANITIZE_STRING);
	$mostrarprod = filter_var($_POST['mostrarprod'], FILTER_SANITIZE_STRING);
	$mostrarabc = filter_var($_POST['mostrarabc'], FILTER_SANITIZE_STRING);
	$procentagem = $acrescentar/100;
	$aculmulado = 0;
	$aculmulado1 = 0;
	$lojaRelatorio = "";
	$datainicio1 = implode("/",array_reverse(explode("-",$datainicio)));
	$datafinal1 = implode("/",array_reverse(explode("-",$datafinal)));
	$today = date("d-m-Y");
	$contador = 0;
	
	$pastaDeDestino = 'C:\xampp\htdocs\chronos\recebimento3\gerador\arquivos\usuario'.$user;


	//apagar todos os arquivos da pasta
	deleteDirectory($pastaDeDestino);
	//criar pasta
	mkdir('arquivos\usuario'.$user, 0755, true);

	$fabricante = strtoupper($fabricante);

	if(empty($serie)){
		$serie = 0;
	}else{

		$dados_fabricante = explode(" / ", $serie);

	}

	/*nome do arquivo zip que sera baixado*/
	if($serie !== 0){
		$nome_arquivo = 'ARQUIVO_BAIXADO';
	}else{
		$nome_arquivo = $fabricante;
	}
/*

BAIXA CASO NAO SEJA FABRICANTES EM SEIRIE

*/

	if(($loja == 'TODAS') && ($serie === 0)){

	//PERCORRE AS LOJAS
	for ($repetir = 1; $repetir <= 5 ; $repetir++)
	{
		//INICIALIZA A VARIAVEL LOJA
		$loja = 'LOJA 0';
	//SE FOR LOJA 1 TROCAR PARA MATRIZ
		if($repetir == 1){
			$loja = 'MATRIZ';
		//SENAO COLOCAR O NUMERO DA LOJA NA VARIAVEL LOJA
		}else{
			$loja = $loja . $repetir;    	
		}
		
	//funcao que gera o arquivo
   gerarRealtorio($baixarDownload,$fabricante,$mostrarabc,$datainicio,$datafinal,$user,$conexao,$loja,$datainicio1,$datafinal1,$mostrarprod,$mostrarestoque,$contador,$acrescentar,$pastaDeDestino);

	}
	//require_once 'baixar.php';

    //$zipFileName = 'arquivos.zip';
	//baixei
	//baixarAquivo($pastaDeDestino,$zipFileName);
	

//se escolheu uma loja
}elseif (($loja <> 'TODAS') && ($serie === 0)){

    gerarRealtorio($baixarDownload,$fabricante,$mostrarabc,$datainicio,$datafinal,$user,$conexao,$loja,$datainicio1,$datafinal1,$mostrarprod,$mostrarestoque,$contador,$acrescentar,$pastaDeDestino);

}

/*
FAZER RELATORIOS EM SERIE //////////////////////////////////////////////
*/
if(($loja == 'TODAS') && ($serie !== 0)){

    // CRIANDO A ESTRUTURA DE PASTAS

    //alterando a pasta destino
    $pastaDeDestino = 'C:\xampp\htdocs\chronos\recebimento3\gerador\arquivos\usuario'.$user.'\RELATORIOS';

    //apagar todos os arquivos da pasta
    deleteDirectory($pastaDeDestino);
    //PERCORRE AS LOJAS
    for ($repetir = 1; $repetir <= 5 ; $repetir++) {
        //INICIALIZA A VARIAVEL LOJA
        $loja = 'LOJA 0';
        //SE FOR LOJA 1 TROCAR PARA MATRIZ
        if ($repetir == 1) {
            $loja = 'MATRIZ';
            //SENAO COLOCAR O NUMERO DA LOJA NA VARIAVEL LOJA
        } else {
            $loja = $loja . $repetir;
        }

        $separador = "\\";
        //criar pasta
        mkdir('arquivos\usuario'.$user.$separador.'RELATORIOS'.$separador .$loja, 0755, true);

    }

    //FIM DA CRIAÇÃO DA ESTRUTURA DE PASTAS

	//PERCORRE AS LOJAS
	for ($repetir = 1; $repetir <= 5 ; $repetir++)
	{
		//INICIALIZA A VARIAVEL LOJA
		$loja = 'LOJA 0';
		//SE FOR LOJA 1 TROCAR PARA MATRIZ
		if($repetir == 1){
			$loja = 'MATRIZ';
		//SENAO COLOCAR O NUMERO DA LOJA NA VARIAVEL LOJA
		}else{
			$loja = $loja . $repetir;    	
		}

	//PERCORRER OS FABRICANTES
	$percorrer = 0;
	while ($percorrer < count($dados_fabricante))
	{	//trocar o fabricante para o fabricante do loop
		$fabricante = $dados_fabricante[$percorrer];

        $pastaDeDestino2 = $pastaDeDestino.$separador.$loja;
		//funcao que gera o arquivo
		gerarRealtorio($baixarDownload,$fabricante,$mostrarabc,$datainicio,$datafinal,$user,$conexao,$loja,$datainicio1,$datafinal1,$mostrarprod,$mostrarestoque,$contador,$acrescentar,$pastaDeDestino2);
   		$percorrer++;
	}
}
	
//se escolheu uma loja e digitei fabricantes em serie
}elseif (($loja <> 'TODAS') && ($serie !== 0)){

    //PERCORRER OS FABRICANTES
	$percorrer = 0;
	while ($percorrer < count($dados_fabricante))
	{
	 $fabricante = $dados_fabricante[$percorrer];
    //implementar cogigo aqui
     gerarRealtorio($baixarDownload2,$fabricante,$mostrarabc,$datainicio,$datafinal,$user,$conexao,$loja,$datainicio1,$datafinal1,$mostrarprod,$mostrarestoque,$contador,$acrescentar,$pastaDeDestino);
 	$percorrer++;
	}
}
header("Location: baixar.php?fabricante=$nome_arquivo");